<?php
/*

Plugin Name: 赞赏 Admire

Plugin URI: https://www.pomelolee.com/1984.html

Description: 赞赏「Admire」是一款能为WordPress便捷加入微信、支付宝,支付宝红包打赏/赞赏功能的插件。

Version: 1.0.0

Author: pomeloLee

Author URI: https://www.pomelolee.com

*/

define('ADMIRE_VERSION', '1.0.0');
define('ADMIRE_URL', plugins_url('', __FILE__));
define('ADMIRE_PATH', dirname( __FILE__ ));

new admire();

function admire_show($content){
        $content ="";
        $optionJson = get_option('admire_option');
        if(empty($optionJson)){
            return $content;
        }
        $option = json_decode($optionJson, true);
        $list = array(
            'wechat' => array(
                'status' => $option['wechat_status'],
                'thanks' => $option['wechat_thanks'],
                'qrcode' => $option['wechat_qrcode'],
                'bgcolor' => '#05af4e',
            ),
            'alipay' => array(
                'status' => $option['alipay_status'],
                'thanks' => $option['alipay_thanks'],
                'qrcode' => $option['alipay_qrcode'],
                'bgcolor' => '#00a2ea',
            ),
            'hongbao' => array(
                'status' => $option['hongbao_status'],
                'thanks' => '<p>' . $option['hongbao_thanks'] . '</p>' . '<p style=\'margin-top: 24px;\'>（余额宝支付时可抵现）</p>',
                'qrcode' => $option['hongbao_qrcode'],
                'bgcolor' => '#dd5746',
            ),
        );
        
        $popupClass = $head = $qrcode = $platform = '';
        
        $i = 0;
        foreach($list as $key => $val){
            if($val['status'] != 1){
                continue;
            }
            $style = $class = '';
            if($i > 0){
                $style = 'style="display:none;"';
            }else{
                $class = 'active';
                $popupClass = $key;
                $head = $val['thanks'];
            }
            $qrcode .= '<div class="qrcode-li ' . $key . '" ' . $style . ' id="__admire_'.$key.'" ><img src="' . $val['qrcode'] . '" /></div>';
            $platform .= '<li id="__admire_'.$key.'_icon"  class="icon-' . $key . ' ' . $class . '" data-bg-color="' . $val['bgcolor'] . '" data-thanks="' . $val['thanks'] . '"></li>';
            $i++;
        }
        
        $html = '<div class="__admire">
            <div id="__admire_popup" class="' . $popupClass . ' popup" style="display:none ;">
                <div class="head" id="__admire_head">' . $head . '</div>
                <div class="qrcode">' . $qrcode . '</div>
                <ul class="platform">' . $platform . '</ul>
            </div>
            <a href="javascript:void(0);" id="__admire_btn">赏</a>
        </div>';
        
        echo $content . $html;
    }


class admire{
    public function __construct(){
        if(!is_admin()){
            wp_enqueue_style('admire_css', ADMIRE_URL . '/static/admire.css', array(), ADMIRE_VERSION, 'screen');
           
        }
        add_action('wp_enqueue_scripts',array($this, 'admire_js'));
        add_action('admin_menu', array($this, 'admin_menu'));
        //add_action('the_content', array($this, 'the_content'), 99, 1);
    }

    function admire_js(){
         wp_enqueue_script('admire_js', ADMIRE_URL . '/static/admire.js',array(),ADMIRE_VERSION,true);
    }

    
    public function admin_menu(){
        add_plugins_page('赞赏「Admire」设置', '赞赏「Admire」设置', 'manage_options', 'admire_settings', array($this, 'admin_settings'));
    }
    
    public function admin_settings(){
        require_once 'admire-admin.php';
        new admire_admin();
    }
}