function admire_hasClass(elem, cls) {
  if(!elem){return;}
  cls = cls || '';
  if (cls.replace(/\s/g, '').length == 0) return false;
  return new RegExp(' ' + cls + ' ').test(' ' + elem.className + ' ');
}
 
function admire_addClass(elem, cls) {
  if(!elem){return;}
  if (!admire_hasClass(elem, cls)) {
    elem.className = elem.className == '' ? cls : elem.className + ' ' + cls;
  }
}
 
function admire_removeClass(elem, cls) {
  if(!elem){return;}
  if (admire_hasClass(elem, cls)) {
    var newClass = ' ' + elem.className.replace(/[\t\r\n]/g, '') + ' ';
    while (newClass.indexOf(' ' + cls + ' ') >= 0) {
      newClass = newClass.replace(' ' + cls + ' ', ' ');
    }
    elem.className = newClass.replace(/^\s+|\s+$/g, '');
  }
}

function admire_resetShow(){
    document.getElementById("__admire_wechat").style.display="none";
    document.getElementById("__admire_alipay").style.display="none";
    document.getElementById("__admire_hongbao").style.display="none";
    admire_removeClass(document.getElementById("__admire_wechat_icon"),"active");
    admire_removeClass(document.getElementById("__admire_alipay_icon"),"active");
    admire_removeClass(document.getElementById("__admire_hongbao_icon"),"active");
}


function admire_init(keyIndex){
    var icon_event = document.getElementById(keyIndex+"_icon");
    if(icon_event){
           icon_event.addEventListener("click",function(){
           admire_resetShow();
           document.getElementById(keyIndex).style.display="";
           admire_addClass(icon_event,"active");

            var bgColor = icon_event.getAttribute("data-bg-color");
            var thanks =  icon_event.getAttribute("data-thanks");
            document.getElementById("__admire_popup").style.setProperty("background-color", bgColor);
            document.getElementById("__admire_head").innerHTML = thanks;
        });
    }
}

var admire=document.getElementById("__admire_btn");
admire.addEventListener("click",function(){
    var ePopup = document.getElementById("__admire_popup");
    var eButton = document.getElementById("__admire_btn");
    if(admire_hasClass(ePopup,"__admire-show")){
        admire_removeClass(ePopup,"__admire-show");
        ePopup.style.display = "none";  
        eButton.innerHTML ="赏";
    }else{
      admire_addClass(ePopup,"__admire-show");
      ePopup.style.display = "";  
      eButton.innerHTML ="✕";
    }     
});
admire_init("__admire_wechat");
admire_init("__admire_alipay");
admire_init("__admire_hongbao");